## GstMpegtsPESMetadataMeta

Extra buffer metadata describing the PES Metadata context. This is based on the Metadata AU cell header in ISO/IEC 13818-1:2018 Section 2.12.4.

AU_cell_data_length is not provided, since it matches the length of the buffer

### Members

`meta` (GstMeta) –

parent GstMeta

`metadata_service_id` (guint8) –

metadata service identifier

`flags` (guint8) –

bit flags, see spec for details

Since : 1.24

## GstMpegts.PESMetadataMeta

Extra buffer metadata describing the PES Metadata context. This is based on the Metadata AU cell header in ISO/IEC 13818-1:2018 Section 2.12.4.

AU_cell_data_length is not provided, since it matches the length of the buffer

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`metadata_service_id` (Number) –

metadata service identifier

`flags` (Number) –

bit flags, see spec for details

Since : 1.24

## GstMpegts.PESMetadataMeta

Extra buffer metadata describing the PES Metadata context. This is based on the Metadata AU cell header in ISO/IEC 13818-1:2018 Section 2.12.4.

AU_cell_data_length is not provided, since it matches the length of the buffer

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`metadata_service_id` (int) –

metadata service identifier

`flags` (int) –

bit flags, see spec for details

Since : 1.24

### Functions

#### gst_mpegts_pes_metadata_meta_get_info

    const GstMetaInfo *
    gst_mpegts_pes_metadata_meta_get_info ()

Gets the global GstMetaInfo describing the GstMpegtsPESMetadataMeta meta.

Returns ( [transfer: none]) –

The GstMetaInfo

Since : 1.24

#### GstMpegts.PESMetadataMeta.prototype.get_info

    function GstMpegts.PESMetadataMeta.prototype.get_info(): {
        // javascript wrapper for 'gst_mpegts_pes_metadata_meta_get_info'
    }

Gets the global Gst.MetaInfo describing the GstMpegts.PESMetadataMeta meta.

Returns (Gst.MetaInfo) –

The Gst.MetaInfo

Since : 1.24

#### GstMpegts.PESMetadataMeta.get_info

    def GstMpegts.PESMetadataMeta.get_info ():
        #python wrapper for 'gst_mpegts_pes_metadata_meta_get_info'

Gets the global Gst.MetaInfo describing the GstMpegts.PESMetadataMeta meta.

Returns (Gst.MetaInfo) –

The Gst.MetaInfo

Since : 1.24

## Functions

### gst_buffer_add_mpegts_pes_metadata_meta

    GstMpegtsPESMetadataMeta *
    gst_buffer_add_mpegts_pes_metadata_meta (GstBuffer * buffer)

Creates and adds a GstMpegtsPESMetadataMeta to a buffer.

Parameters:

`buffer` –

a GstBuffer

Returns ( [transfer: none]) –

a newly created GstMpegtsPESMetadataMeta

Since : 1.24

### GstMpegts.prototype.buffer_add_mpegts_pes_metadata_meta

    function GstMpegts.prototype.buffer_add_mpegts_pes_metadata_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_add_mpegts_pes_metadata_meta'
    }

Creates and adds a GstMpegts.PESMetadataMeta to a buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstMpegts.PESMetadataMeta) –

a newly created GstMpegts.PESMetadataMeta

Since : 1.24

### GstMpegts.buffer_add_mpegts_pes_metadata_meta

    def GstMpegts.buffer_add_mpegts_pes_metadata_meta (buffer):
        #python wrapper for 'gst_buffer_add_mpegts_pes_metadata_meta'

Creates and adds a GstMpegts.PESMetadataMeta to a buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstMpegts.PESMetadataMeta) –

a newly created GstMpegts.PESMetadataMeta

Since : 1.24

### gst_mpegts_pes_metadata_meta_api_get_type

    GType
    gst_mpegts_pes_metadata_meta_api_get_type ()

Return the GType associated with GstMpegtsPESMetadataMeta

Returns –

a GType

Since : 1.24

### GstMpegts.prototype.pes_metadata_meta_api_get_type

    function GstMpegts.prototype.pes_metadata_meta_api_get_type(): {
        // javascript wrapper for 'gst_mpegts_pes_metadata_meta_api_get_type'
    }

Return the GObject.Type associated with GstMpegts.PESMetadataMeta

Returns (GObject.Type) –

a GObject.Type

Since : 1.24

### GstMpegts.pes_metadata_meta_api_get_type

    def GstMpegts.pes_metadata_meta_api_get_type ():
        #python wrapper for 'gst_mpegts_pes_metadata_meta_api_get_type'

Return the GObject.Type associated with GstMpegts.PESMetadataMeta

Returns (GObject.Type) –

a GObject.Type

Since : 1.24

## Constants

### GST_MPEGTS_PES_METADATA_META_API_TYPE

    #define GST_MPEGTS_PES_METADATA_META_API_TYPE  (gst_mpegts_pes_metadata_meta_api_get_type())

The GType associated with GstMpegtsPESMetadataMeta.

Since : 1.24

### GST_MPEGTS_PES_METADATA_META_INFO

    #define GST_MPEGTS_PES_METADATA_META_INFO  (gst_mpegts_pes_metadata_meta_get_info())

The GstMetaInfo associated with GstMpegtsPESMetadataMeta.

Since : 1.24

The results of the search are